//
//  HTML PAGE
//
const char PAGE_LedSettings[] PROGMEM =  R"=====(
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Додатковє налаштуваня (By IvanZah)</title>
<body onload="load();">
  <div class="container">
    <div class="row" style="text-align:center;">
      <h1 style="margin:50px;">Налаштуваня екрану</h1>
      <div class="col-sm-offset-2 col-sm-8 col-md-offset-3 col-md-6">
        <div class="row">
          <div class="col-sm-6" style="margin-top">
            <div class="alert alert-dismissible alert-warning"> 
              Денний режим починається з: 
            </div>
          </div>
          <div class="col-sm-6">
            <input id="tbd" value="{{tbd}}" class="form-control" pattern="[0-9]{1,2}" placeholder="Денний режим - починається з">
          </div>
        </div>  
        <hr>
        <div class="row">
          <div class="col-sm-6" style="margin-top">
            <div class="alert alert-dismissible alert-warning"> 
              Денний режим - яскравість: 
            </div>
          </div>
          <div class="col-sm-6">
            <input id="vbd" value="{{vbd}}" class="form-control" pattern="[0-9]{1,2}" placeholder="Денний режим - яскравість">
          </div>
        </div>  
        <hr>
        <div class="row">
          <div class="col-sm-6" style="margin-top">
            <div class="alert alert-dismissible alert-warning"> 
              Нічний режим починається з: 
            </div>
          </div>
          <div class="col-sm-6">
            <input id="tbn" value="{{tbn}}" class="form-control" pattern="[0-9]{1,2}" placeholder="Нічний режим починається з">
          </div>
        </div>  
        <hr>
        <div class="row">
          <div class="col-sm-6" style="margin-top">
            <div class="alert alert-dismissible alert-warning"> 
              Нічний режим - яскравість: 
            </div>
          </div>
          <div class="col-sm-6">
            <input id="vbn" value="{{vbn}}" class="form-control" pattern="[0-9]{1,2}" placeholder="Нічний режим - яскравість">
          </div>
        </div> 
        <hr>
        <tr>
        <td align="right">Кут повороту екрану: </td>
        <td><select id="rotate" name="rotate">
          <option value="90">90</option>
          <option value="270">270</option>
        </select></td>
        </tr>
        <hr>
        <input class="btn btn-block btn-success" value="Зберегти" onclick="set_led(this);" type="submit">
        <hr>
        <a class="btn btn-block btn-default" href="/">Налаштуваня підключеня WiFi</a>
        <a class="btn btn-block btn-default" href="/time.htm">Налаштуваня часу</a>
        <a class="btn btn-block btn-default" href="/weather.htm">Налаштуваня погоди</a>
        <a class="btn btn-block btn-default" href="/update.htm">Оновленя прошивки пристрою</a>
        <a class="btn btn-block btn-default" href="/help.htm">Поміч</a>
        <input class="btn btn-block btn-danger" value="Перезавантажити пристрій" onclick="restart(this,'Ви дійсно бажаєте Перезавантажити пристрій?');" type="submit">
      </div>
    </div>
  </div>
</body>
<head>
  <link rel="stylesheet" href="/bootstrap.min.css">
  <link rel="stylesheet" type="text/css" href="/style.css">
  <script type="text/javascript" src="/function.js"></script>
  <script type="text/javascript">
  function set_led(submit){
    if(val('tbd')<24&&val('vbd')<16&&val('tbn')<24&&val('vbn')<16){server = "/led?tbd="+val('tbd')+"&vbd="+val('vbd')+"&tbn="+val('tbn')+"&vbn="+val('vbn')+"&rotate="+val('rotate');send_request(submit,server);}
  }
  function restart(submit,texts){
    if (confirm(texts)) {
      server = "/restart?device=ok";
      send_request(submit,server);
      return true;
    } else {
      return false;
    }
  }
  </script>
</head>
)=====";
